%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name tripleo-heat-templates
%define old_version_name pike

Name:          openstack-%{upstream_name}-compat
Summary:       Heat templates for TripleO old version support
Version:        7.0.12
Release:        17.1%{?dist}
License:       ASL 2.0
Group:         System Environment/Base
URL:           https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.0.12
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-Remove-the-default-ControllerConfig.patch
Patch0003: 0003-downstream-only-Keep-existing-Compute-role-hostname-.patch
Patch0004: 0004-Downstream-only-Merge-puppet-and-config-resources.patch
Patch0005: 0005-Downstream-only-Disable-Neutron-containers-for-OSP12.patch
Patch0006: 0006-Downstream-only-Disable-Cinder-HA-containers-for-OSP.patch
Patch0007: 0007-Default-supported-services-to-docker.patch
Patch0008: 0008-Downstream-only-Migrates-storage-environment.yaml-to.patch
Patch0009: 0009-Remove-hardcoded-docker-image-names.patch
Patch0010: 0010-Downstream-only-Default-plugins-list-for-Sahara.patch
Patch0011: 0011-Disable-containerised-plugins-we-don-t-ship.patch
Patch0012: 0012-Disabling-lbaas-and-fwaas-plugins-we-don-t-ship.patch
Patch0013: 0013-Override-default-fluentd-service-implementation.patch
Patch0014: 0014-Fix-copy-paste-typo.patch
Patch0015: 0015-downstream-only-environments-document-OSP-deployment.patch
Patch0016: 0016-downstream-only-Keep-existing-Compute-hostname.patch
Patch0017: 0017-Add-access-to-var-run-openvswitch-from-collectd.patch
Patch0018: 0018-neutron-Call-destroy-patch-ports-before-starting-ovs.patch
Patch0019: 0019-downstream-only-Clean-up-Ceph-OSD-product-key.patch
Patch0020: 0020-downstream-only-Keep-existing-Compute-hostname.patch
Patch0021: 0021-Reduce-verbosity-during-mysql-bootstrap.patch
Patch0022: 0022-Re-enable-LBaaSv2-Horizon-plugin.patch
Patch0023: 0023-Don-t-use-crudini-to-get-rhn-server.patch
Patch0024: 0024-Honor-role.name-ExtraConfig-with-deprecated-params.patch
Patch0025: 0025-gnocchi-add-missing-var-lib-gnocchi.patch
Patch0026: 0026-Use-str_replace-for-known_hosts.patch
Patch0027: 0027-Resource-name-correction.patch
Patch0028: 0028-Allowing-Non-IP-Traffic-in-L2-and-L3-domains.patch
Patch0029: 0029-Expose-params-to-enable-panko-expirer-cron.patch
Patch0030: 0030-Explicitly-set-nova-neutron-ceilometer-host-to-expec.patch
Patch0031: 0031-Change-ovs-user-and-fix-permissions-on-ovs-upgrade.patch
Patch0032: 0032-Telemetry-services-need-to-access-to-Storage.patch
Patch0033: 0033-Create-var-log-containers-on-Swift-storage-only-node.patch
Patch0034: 0034-Fix-Cinder-s-default-db-purge-cron-settings.patch
Patch0035: 0035-Added-missing-pki-volume-for-custom-CA.patch
Patch0036: 0036-Modify-libvirt-port-range-for-live-migration.patch
Patch0037: 0037-Improve-nova-ironic-cellv2-discovery.patch
Patch0038: 0038-Add-support-of-netapp-configuration-for-glance-in-TH.patch
Patch0039: 0039-Set-Ceph-pools-rule_name-to-replicated_rule.patch
Patch0040: 0040-Set-configure_qemu-to-true-to-get-qemu-port-range-ap.patch
Patch0041: 0041-OvS2.9-Changes-for-OvS-DPDK-deployment.patch
Patch0042: 0042-Increase-the-step-for-gnocchi_db_sync.patch
Patch0043: 0043-Set-live_migration_inbound_addr-for-ssh-transport.patch
Patch0044: 0044-Pike-only-ManilaBackendGeneric-nooped-to-avoid-depre.patch
Patch0045: 0045-Clean-up-env-files-for-Cinder-s-Netapp-backend.patch
Patch0046: 0046-Do-not-target-Redis-over-TLS-when-using-HA-Redis-pro.patch
Patch0047: 0047-Convert-resource_name-to-number.patch
Patch0048: 0048-Use-fqdn-for-live_migration_inbound_addr.patch
Patch0049: 0049-Correct-Cinder-NetApp-backend-name-parameter-mapping.patch
Patch0050: 0050-Add-role-parameter-for-rx-tx-virtio-net-queue-size.patch
Patch0051: 0051-Fix-PublicVirtualFixedIPs-in-envs.patch
Patch0052: 0052-Improve-nova-statedir-ownership-logic.patch
Patch0053: 0053-DOWNSTREAM-ONLY-Allow-a-containerized-logrotate-to-a.patch
Patch0054: 0054-Revert-DOWNSTREAM-ONLY-Allow-a-containerized-logrota.patch
Patch0055: 0055-Run-online-data-migrations.patch
Patch0056: 0056-Queens-Pike-Run-online-data-migrations-on-converge-a.patch
Patch0057: 0057-Do-not-disable-ipv6-on-loopback-interface-for-epmd.patch
Patch0058: 0058-Ocata-Pike-Pass-DeployIdentifier-in-upgrade-tasks.patch
Patch0059: 0059-Add-posibilities-to-set-tunnel_csum-in-ovs-agent.patch
Patch0060: 0060-Allow-custom-bip-CIDR-for-docker-options.patch
Patch0061: 0061-Make-SSH_OPTIONS-overrideable.patch
Patch0062: 0062-Allow-custom-time-constraints-to-rotate-logs.patch

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python-d2to1
BuildRequires: python2-pbr

Requires:      PyYAML
Requires:       python-jinja2
Requires:       python-six
Requires:       openstack-tripleo-common >= 7.1.0
Requires:      openstack-%{upstream_name}

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  These templates provide support for the clouds running the previous upstream version of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar *.yaml %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar puppet %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar common %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar docker %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar firstboot %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar extraconfig %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar environments %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar network %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar deployed-server %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar ci %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar plan-samples %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar roles %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar tools %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

ln -s compat %{buildroot}/%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/openstack-%{upstream_name}/compat
%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%changelog
* Mon Dec 10 2018 Jon Schlueter <jschluet@redhat.com> 7.0.12-17.1
- Add missing docker_config_scripts directory (rhbz#1657850)

* Mon Dec 10 2018 Jon Schlueter <jschluet@redhat.com> 7.0.12-17
- Update to latest released rhosp12 version (rhbz#1657850)
- Set Ceph pools rule_name to replicated_rule (rhbz#1593774)

* Mon Nov 05 2018 Steve Linabery <slinaber@redhat.com> 7.0.12-8
- Update to latest released rhosp12 version

* Tue May 22 2018 Jon Schlueter <jschluet@redhat.com> 7.0.9-8.1
- Fix prior release upstream name to pike

* Wed Mar 28 2018 Jon Schlueter <jschluet@redhat.com> 7.0.9-8
- Add access to /var/run/openvswitch from collectd (rhbz#1558639)
- [pike] Handle update path for swift log directories (rhbz#1542936)
- Make the minor update for docker idempotent (rhbz#1542936)
- Improve the minor update of the docker service (rhbz#1542936)
- Add --live-restore to the docker_options in puppet/services/docker.yaml (rhbz#1542936)
- Fix a typo in docker_puppet_apply.sh (rhbz#1552466)
- swift_rsync: don't bind mount /run (rhbz#1546807)
- Unify the Cinder HA and non-HA docker configurations (rhbz#1543641)
- Do not use the 3rd argument of yaql groupBy (rhbz#1547955)
- Update to 7.0.9
